using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace OpenArchival.Blazor;

public class BlogPostRowElement
{
    public int Id { get; set; }

    public string Title { get; set; } = "";

    public DateTime CreationTime { get; set; }
    public DateTime ModifiedTime { get; set; }

    public override bool Equals(object? obj)
    {
        return obj is BlogPostRowElement other && this.Id == other.Id;
    }

    public override int GetHashCode()
    {
        return Id.GetHashCode();
    }
}
